<?php

/**
 * @file
 *   drush integration for easychart.
 */
// source --> http://drupal.stackexchange.com/questions/51701/automatically-downloading-libraries-for-a-module
/**
 * Implements hook_drush_command().
 *
 * In this hook, you specify which commands your
 * drush module makes available, what it does and
 * description.
 *
 * Notice how this structure closely resembles how
 * you define menu hooks.
 *
 * @See drush_parse_command() for a list of recognized keys.
 *
 * @return
 *   An associative array describing your command(s).
 */
function easychart_drush_command()
{
    $items = array();

    $items['dl-easychart-dependencies'] = array(
        'callback' => 'easychart_drush_js_dependencies_download',
        'description' => dt('Downloads the required javascript dependencies.'),
    );
    return $items;
}

/**
 * Implements hook_drush_help().
 *
 * This function is called whenever a drush user calls
 * 'drush help <name-of-your-command>'
 *
 * @param
 *   A string with the help section (prepend with 'drush:')
 *
 * @return
 *   A string with the help text for your command.
 */
// todo
function easychart_drush_help($section)
{
    switch ($section) {
        case 'drush:dl-easychart-dependencies':
            return dt("Downloads the required javascript dependencies.");
    }
}

/**
 * Example drush command callback.
 *
 * This is where the action takes place.
 *
 * In this function, all of Drupals API is (usually) available, including
 * any functions you have added in your own modules/themes.
 *
 * To print something to the terminal window, use drush_print().
 *
 */
function easychart_drush_js_dependencies_download()
{
    if (module_exists('libraries')) {
        $path = 'sites/all/libraries/easychart';

        // Create the path if it does not exist.
        if (!is_dir($path)) {
            drush_op('mkdir', $path);
            $message = dt('Directory @path was created', array('@path' => $path));
            drush_log($message, 'notice');
            drush_print($message);
        } else {
            $message = dt('Directory @path already exists', array('@path' => $path));
            drush_log($message, 'notice');
            drush_print($message);
        }
    } else {
        $path = drupal_get_path('module', 'easychart') . '/js';
    }
    drush_op('chdir', $path);

    if(drush_shell_exec('git clone https://github.com/bestuurszaken/easychart.git')){
        drush_log(dt('easychart plugin downloaded'),'success');
    } else {
        drush_log(dt('Drush was unable to download the easychart plugin'),'error');
    }

    if (drush_shell_exec('wget http://code.highcharts.com/zips/Highcharts-4.1.9.zip')) {
        if (drush_shell_exec('unzip Highcharts-4.1.9.zip -d highcharts')) {
            if (drush_shell_exec('rm Highcharts-4.1.9.zip')) {

            }
        }
    }

//unzip Highcharts-4.1.9.zip -d highcharts
    /*
    // origineel
    // Download the plugin.
    if (drush_shell_exec('wget http://jquery-autopager.googlecode.com/files/jquery.autopager-1.0.0.js')) {
        drush_log(dt('jquery.autopager-1.0.0.js has been downloaded to @path', array('@path' => $path)), 'success');
    } else {
        drush_log(dt('Drush was unable to download jquery.autopager-1.0.0.js to @path', array('@path' => $path)), 'error');
    }
    // eind origineel
    */
}